com.sun.grid.jgdi.util

## Class OutputTable.Column

- java.lang.Object
- - com.sun.grid.jgdi.util.OutputTable.Column

- Enclosing class:
    OutputTable

      public abstract class OutputTable.Column
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CENTER`
    `static int` | `DEFAULT_COL_WIDTH`
    `static int` | `LEFT`
    `static int` | `RIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column(java.lang.String name, java.lang.String header)`
    `Column(java.lang.String name, java.lang.String header, java.text.Format format)`
    `Column(java.lang.String name, java.lang.String header, int width)`
    `Column(java.lang.String name, java.lang.String header, int width, int alignment)`
    `Column(java.lang.String name, java.lang.String header, int width, int alignment, java.text.Format format)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlignment()`
    `java.text.Format` | `getFormat()`
    `java.lang.String` | `getHeader()`
    `java.lang.String` | `getName()`
    `abstract java.lang.Object` | `getValue(java.lang.Object obj)`
    `int` | `getWidth()`
    `void` | `print(java.io.PrintWriter pw, java.lang.Object obj)`
    `void` | `printStr(java.io.PrintWriter pw, java.lang.String str)`
    `void` | `setAlignment(int alignment)`
    `void` | `setFormat(java.text.Format format)`
    `void` | `setHeader(java.lang.String header)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COL_WIDTH

          public static final int DEFAULT_COL_WIDTH

      See Also:
        Constant Field Values

    - #### RIGHT

          public static final int RIGHT

      See Also:
        Constant Field Values

    - #### CENTER

          public static final int CENTER

      See Also:
        Constant Field Values

    - #### LEFT

          public static final int LEFT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Column

          public Column(java.lang.String name,
                        java.lang.String header)

    - #### Column

          public Column(java.lang.String name,
                        java.lang.String header,
                        int width)

    - #### Column

          public Column(java.lang.String name,
                        java.lang.String header,
                        int width,
                        int alignment)

    - #### Column

          public Column(java.lang.String name,
                        java.lang.String header,
                        java.text.Format format)

    - #### Column

          public Column(java.lang.String name,
                        java.lang.String header,
                        int width,
                        int alignment,
                        java.text.Format format)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getValue

          public abstract java.lang.Object getValue(java.lang.Object obj)

    - #### printStr

          public void printStr(java.io.PrintWriter pw,
                               java.lang.String str)

    - #### print

          public void print(java.io.PrintWriter pw,
                            java.lang.Object obj)

    - #### getAlignment

          public int getAlignment()

    - #### setAlignment

          public void setAlignment(int alignment)

    - #### getFormat

          public java.text.Format getFormat()

    - #### setFormat

          public void setFormat(java.text.Format format)

    - #### getHeader

          public java.lang.String getHeader()

    - #### setHeader

          public void setHeader(java.lang.String header)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.